package com.gh.common.iinterface

import com.scwang.smartrefresh.layout.api.RefreshLayout
import com.scwang.smartrefresh.layout.constant.RefreshState

interface ISmartRefreshContent {
    fun onRefresh()

    /**
     * 启用/关闭 SwipeRefreshLayout 的下拉刷新
     * @param isSwipeRefreshEnabled 是否启用
     */
    fun setSwipeRefreshEnabled(isSwipeRefreshEnabled: Boolean)

    fun onStateChanged(refreshLayout: RefreshLayout, oldState: RefreshState, newState: RefreshState)
}